package model

type ResposeNoticeRecord struct {
	Records []ResposeNoticeRecordData `json:"records"` //记录列表
	Current int                       `json:"current"` //当前分页
	Size    int                       `json:"size"`    //每页数量
	Total   int64                     `json:"total"`   //总数
	Pages   int                       `json:"pages"`   //总页数
}

type ResposeNoticeRecordData struct {
	ID             int    `json:"id"`
	RecordID       int    `json:"recordId"`
	SendUser       string `json:"sendUser"`
	SendTime       string `json:"sendTime"`
	SendType       int    `json:"sendType"`
	SendValue      int    `json:"sendValue"`
	CreateTime     string `json:"createTime"`
	TenantID       string `json:"tenantId"`
	ArmContend     string `json:"armContend"`
	SendName       string `json:"sendName"`
	SendTypeName   string `json:"sendTypeName"`
	ClassifyName   string `json:"classifyName"`
	SendStatusName string `json:"sendStatusName"`
}
type RequestNoticeRecordFilter struct {
	StartTime    string `form:"startTime"`    //开始时间
	EndTime      string `form:"endTime"`      //结束时间
	ClassifyName int    `form:"classifyName"` //告警类型 1运维 2业务
	SendName     string `form:"sendName"`     //发送人
	SendValue    int    `form:"sendValue"`    //发送方式 1短信 2邮件
	SendType     int    `form:"sendType"`     //发送状态

	Current int `form:"current"` //当前分页
	Size    int `form:"size"`    //每页数量
}
